LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XActionsApproval Interface Referencepublished

allows to request an approval for an action. More...

`import"XActionsApproval.idl";`

Inheritance diagram for XActionsApproval:

## Public Member Functions
boolean | approveAction ([in] long nAction)
| requests an approval for the specified action. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to request an approval for an action.

An implementation of this interface is usually provided to another object to allow this object to request an approval for actions. The list of possible actions must be documented in documentation of the object.

## Member Function Documentation

## ◆ approveAction()

boolean approveAction | ( | [in] long | nAction | ) |

requests an approval for the specified action.

Parameters

  nAction | a value specifying the action that should be approved. Could take values from Actions constants set. The explicit set of the actions should be documented by the object that is going to use this interface for approval as for example InstanceLocker does.

Returns
  returns `TRUE` in case the specified action is approved.

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XActionsApproval.idl